package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsCustomerContact;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn
 * @since 2018-08-08
 */
public interface ILmsCustomerContactService extends IBaseService<LmsCustomerContact> {


    Page<LmsCustomerContact> page(Page<LmsCustomerContact> page, LmsCustomerContact lmsCustomerContact);


    List<LmsCustomerContact> list(LmsCustomerContact lmsCustomerContact);


    List<LmsCustomerContact> listAllByCus(Long customerId);


    List<LmsCustomerContact> getListCustomerContact(LmsCustomerContact lmsCustomerContact);
}
